## ktexteditor 5.78.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.78.0") # handled by release scripts
set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
project(KTextEditor VERSION ${KF5_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.78.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add own modules to search path, too
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(KDEPackageAppTemplates)
include(GenerateExportHeader)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KTEXTEDITOR
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktexteditor_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5TextEditorConfigVersion.cmake"
  SOVERSION 5
)

# Dependencies
set(REQUIRED_QT_VERSION 5.14.0)

# Required Qt5 components to build this framework
find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets Qml
  PrintSupport Xml)

find_package(KF5Archive ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Sonnet ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Auth ${KF5_DEP_VERSION} REQUIRED)

# libgit2 integration, at least 0.22 with proper git_libgit2_init()
find_package(LibGit2 "0.22.0")

# EditorConfig integration
find_package(EditorConfig)

# vi mode on per default
option (BUILD_VIMODE "Build vimode in" ON)

# forbid some old things
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"ktexteditor5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(templates)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5TextEditor")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5TextEditor_QCH
        FILE KF5TextEditorQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5TextEditorQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5TextEditorConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5TextEditorConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5TextEditorConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5TextEditorConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF5TextEditorTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5TextEditorTargets.cmake
  NAMESPACE KF5::
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/ktexteditor_version.h"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}"
  COMPONENT Devel
)

# config.h
check_symbol_exists (fdatasync unistd.h HAVE_FDATASYNC)
configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# let our config.h be found first in any case
include_directories (BEFORE ${CMAKE_CURRENT_BINARY_DIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES autotests/src/*.cpp autotests/src/*.h src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

=== autotests/CMakeLists.txt ===
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMMarkAsTest)
include(ECMAddTests)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
  # for config.h
  ${CMAKE_BINARY_DIR}

  # for generated ktexteditor headers
  ${CMAKE_BINARY_DIR}/src/include

  # for normal sources
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/include
  ${CMAKE_SOURCE_DIR}/src/buffer
  ${CMAKE_SOURCE_DIR}/src/completion
  ${CMAKE_SOURCE_DIR}/src/dialogs
  ${CMAKE_SOURCE_DIR}/src/document
  ${CMAKE_SOURCE_DIR}/src/script
  ${CMAKE_SOURCE_DIR}/src/mode
  ${CMAKE_SOURCE_DIR}/src/render
  ${CMAKE_SOURCE_DIR}/src/search
  ${CMAKE_SOURCE_DIR}/src/syntax
  ${CMAKE_SOURCE_DIR}/src/undo
  ${CMAKE_SOURCE_DIR}/src/utils
  ${CMAKE_SOURCE_DIR}/src/view
)

add_definitions(-DTEST_DATA_DIR=\"${CMAKE_SOURCE_DIR}/autotests/input/\")
add_definitions(-DJS_DATA_DIR=\"${CMAKE_SOURCE_DIR}/src/script/data/\")

set (KTEXTEDITOR_TEST_LINK_LIBS KF5TextEditor
  KF5::I18n
  KF5::GuiAddons
  KF5::SyntaxHighlighting
  Qt5::Qml
)

include(ECMMarkAsTest)

# test executable for encoding
add_executable(kateencodingtest src/kateencodingtest.cpp)
target_link_libraries(kateencodingtest ${KTEXTEDITOR_TEST_LINK_LIBS})
ecm_mark_as_test(kateencodingtest)

# test macro for encoding tests
MACRO(KTEXTEDITOR_ENCODING_TEST _encoding _testname)
  ADD_TEST (NAME encoding_${_testname}_create COMMAND kateencodingtest ${_encoding} ${CMAKE_SOURCE_DIR}/autotests/input/encoding/${_testname} ${CMAKE_CURRENT_BINARY_DIR}/${_testname} )
  ADD_TEST (NAME encoding_${_testname}_diff COMMAND ${CMAKE_COMMAND} -E compare_files ${CMAKE_SOURCE_DIR}/autotests/input/encoding/${_testname} ${CMAKE_CURRENT_BINARY_DIR}/${_testname} )
ENDMACRO(KTEXTEDITOR_ENCODING_TEST)

# add tests

# this file is utf-8, simple
KTEXTEDITOR_ENCODING_TEST ("utf-8" "utf8.txt")

# this file is latin15, but fallback should work!
KTEXTEDITOR_ENCODING_TEST ("utf-8" "latin15.txt")

# this file is utf32, little endian, but fallback should work!
KTEXTEDITOR_ENCODING_TEST ("utf-8" "utf32.txt")

# this file is utf16, little endian, but fallback should work!
KTEXTEDITOR_ENCODING_TEST ("utf-8" "utf16.txt")

# this file is utf32, big endian, but fallback should work!
KTEXTEDITOR_ENCODING_TEST ("utf-8" "utf32be.txt")

# this file is utf16, big endian, but fallback should work!
KTEXTEDITOR_ENCODING_TEST ("utf-8" "utf16be.txt")

# cyrillic utf-8
KTEXTEDITOR_ENCODING_TEST ("utf-8" "cyrillic_utf8.txt")

# cyrillic cp1251
KTEXTEDITOR_ENCODING_TEST ("utf-8" "cp1251.txt")

# cyrillic koi8-r
KTEXTEDITOR_ENCODING_TEST ("utf-8" "koi8-r.txt")

# one character latin-15 test, segfaulted
KTEXTEDITOR_ENCODING_TEST ("utf-8" "one-char-latin-15.txt")

# test executable for indentation
add_executable(kateindenttest src/indenttest.cpp src/script_test_base.cpp src/testutils.cpp)
target_link_libraries(kateindenttest ${KTEXTEDITOR_TEST_LINK_LIBS}
    Qt5::Test)
ecm_mark_as_test(kateindenttest)

# test macro for indentation tests
MACRO(KTEXTEDITOR_INDENT_TEST _testname)
  ADD_TEST (NAME kateindenttest_${_testname} COMMAND kateindenttest ${_testname})
ENDMACRO(KTEXTEDITOR_INDENT_TEST)

# test different indenters sepearately to have smaller test chunks, that takes LONG
KTEXTEDITOR_INDENT_TEST ("testPython")
KTEXTEDITOR_INDENT_TEST ("testCstyle")

# guard against execution with qt that has broken QJSEngine regex, see: https://bugreports.qt.io/browse/QTBUG-72879
if (NOT Qt5Widgets_VERSION VERSION_EQUAL 5.12.0)
    KTEXTEDITOR_INDENT_TEST ("testCppstyle")
endif()

KTEXTEDITOR_INDENT_TEST ("testCMake")
KTEXTEDITOR_INDENT_TEST ("testRuby")
KTEXTEDITOR_INDENT_TEST ("testHaskell")
KTEXTEDITOR_INDENT_TEST ("testLatex")
KTEXTEDITOR_INDENT_TEST ("testPascal")
KTEXTEDITOR_INDENT_TEST ("testAda")
KTEXTEDITOR_INDENT_TEST ("testXml")
KTEXTEDITOR_INDENT_TEST ("testNormal")
KTEXTEDITOR_INDENT_TEST ("testReplicode")

macro(ktexteditor_unit_test testname)
  ecm_add_test(src/${testname}.cpp ${ARGN}
               TEST_NAME ${testname}
	       LINK_LIBRARIES ${KTEXTEDITOR_TEST_LINK_LIBS} Qt5::Test)
endmacro()

ecm_add_tests(
  src/katetextbuffertest.cpp
  src/range_test.cpp
  src/undomanager_test.cpp
  src/plaintextsearch_test.cpp
  src/regexpsearch_test.cpp
  src/scriptdocument_test.cpp
  src/wordcompletiontest.cpp
  src/searchbar_test.cpp
  src/movingcursor_test.cpp
  src/configinterface_test.cpp
  src/messagetest.cpp
  src/kte_documentcursor.cpp
  src/bug313769.cpp
  src/katedocument_test.cpp
  src/movingrange_test.cpp
  src/kateview_test.cpp
  src/revision_test.cpp
  src/modificationsystem_test.cpp
  src/inlinenote_test.cpp
  src/variable_test.cpp
  src/templatehandler_test.cpp
  src/katefoldingtest.cpp
  src/bug286887.cpp
  src/katewildcardmatcher_test.cpp
  LINK_LIBRARIES ${KTEXTEDITOR_TEST_LINK_LIBS} Qt5::Test
)

ktexteditor_unit_test(completion_test src/codecompletiontestmodel.cpp src/codecompletiontestmodels.cpp)
ktexteditor_unit_test(commands_test src/script_test_base.cpp src/testutils.cpp)
ktexteditor_unit_test(scripting_test src/script_test_base.cpp src/testutils.cpp)
ktexteditor_unit_test(bug313759 src/testutils.cpp)
ktexteditor_unit_test(bug317111 src/testutils.cpp)
ktexteditor_unit_test(bug205447 src/testutils.cpp)

if (BUILD_VIMODE)
  add_subdirectory(src/vimode)
endif()

# benchmarking tests
add_executable(bench_search src/benchmarks/bench_search.cpp)
target_link_libraries(bench_search PRIVATE ${KTEXTEDITOR_TEST_LINK_LIBS})

=== src/CMakeLists.txt ===
# handle data files, .desktop & .cmake
add_subdirectory(data)

# jscripts for the part
add_subdirectory( script/data )

# set right defines for libgit2 usage
if(LIBGIT2_FOUND)
    SET (CMAKE_REQUIRED_LIBRARIES LibGit2::LibGit2)
    set (KTEXTEDITOR_OPTIONAL_LIBS ${KTEXTEDITOR_OPTIONAL_LIBS} LibGit2::LibGit2)
endif()

if(EditorConfig_FOUND)
    SET (CMAKE_REQUIRED_LIBRARIES ${EditorConfig_LIBRARIES})
    set (KTEXTEDITOR_OPTIONAL_LIBS ${KTEXTEDITOR_OPTIONAL_LIBS} ${EditorConfig_LIBRARIES})
endif()

# handle include files, both normal ones and generated ones
add_subdirectory(include)

# includes
include_directories(
  # for config.h
  ${CMAKE_BINARY_DIR}

  # for generated ktexteditor headers
  ${CMAKE_CURRENT_BINARY_DIR}/include

  # for normal sources
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/include
  ${CMAKE_CURRENT_SOURCE_DIR}/include/ktexteditor
  ${CMAKE_CURRENT_SOURCE_DIR}/buffer
  ${CMAKE_CURRENT_SOURCE_DIR}/completion
  ${CMAKE_CURRENT_SOURCE_DIR}/dialogs
  ${CMAKE_CURRENT_SOURCE_DIR}/document
  ${CMAKE_CURRENT_SOURCE_DIR}/script
  ${CMAKE_CURRENT_SOURCE_DIR}/mode
  ${CMAKE_CURRENT_SOURCE_DIR}/render
  ${CMAKE_CURRENT_SOURCE_DIR}/search
  ${CMAKE_CURRENT_SOURCE_DIR}/syntax
  ${CMAKE_CURRENT_SOURCE_DIR}/undo
  ${CMAKE_CURRENT_SOURCE_DIR}/utils
  ${CMAKE_CURRENT_SOURCE_DIR}/inputmode
  ${CMAKE_CURRENT_SOURCE_DIR}/view
  ${CMAKE_CURRENT_SOURCE_DIR}/swapfile
  ${CMAKE_CURRENT_SOURCE_DIR}/variableeditor)

# KTextEditor interface sources
set(ktexteditor_LIB_SRCS
# text buffer & buffer helpers
buffer/katesecuretextbuffer.cpp
buffer/katetextbuffer.cpp
buffer/katetextblock.cpp
buffer/katetextline.cpp
buffer/katetextcursor.cpp
buffer/katetextrange.cpp
buffer/katetexthistory.cpp
buffer/katetextfolding.cpp

# completion (widget, model, delegate, ...)
completion/katecompletionwidget.cpp
completion/katecompletionmodel.cpp
completion/katecompletiontree.cpp
completion/katecompletionconfig.cpp
completion/kateargumenthinttree.cpp
completion/kateargumenthintmodel.cpp
completion/katecompletiondelegate.cpp
completion/expandingtree/expandingwidgetmodel.cpp
completion/expandingtree/expandingdelegate.cpp
completion/expandingtree/expandingtree.cpp

# simple internal word completion
completion/katewordcompletion.cpp

# internal syntax-file based keyword completion
completion/katekeywordcompletion.cpp

# dialogs
dialogs/kateconfigpage.cpp
dialogs/katedialogs.cpp
dialogs/kateconfigpage.cpp

# document (THE document, buffer, lines/cursors/..., CORE STUFF)
document/katedocument.cpp
document/katebuffer.cpp

# undo
undo/kateundo.cpp
undo/katemodifiedundo.cpp
undo/kateundomanager.cpp

# scripting
script/katescript.cpp
script/kateindentscript.cpp
script/katecommandlinescript.cpp
script/katescriptmanager.cpp
script/katescriptaction.cpp

# scripting wrappers
script/katescripteditor.cpp
script/katescriptdocument.cpp
script/katescriptview.cpp
script/katescripthelpers.cpp

# mode (modemanager and co)
mode/katemodemanager.cpp
mode/katemodeconfigpage.cpp
mode/katemodemenu.cpp
mode/katewildcardmatcher.cpp
mode/katemodemenulist.cpp

# modeline variable editor
variableeditor/variablelineedit.cpp
variableeditor/variablelistview.cpp
variableeditor/variableeditor.cpp
variableeditor/variableitem.cpp
variableeditor/katehelpbutton.cpp

# printing classes
printing/kateprinter.cpp
printing/printpainter.cpp
printing/printconfigwidgets.cpp

# rendering stuff (katerenderer  and helpers)
render/katerenderer.cpp
render/katerenderrange.cpp
render/katelayoutcache.cpp
render/katetextlayout.cpp
render/katelinelayout.cpp

# search stuff
search/kateplaintextsearch.cpp
search/kateregexpsearch.cpp
search/katematch.cpp
search/katesearchbar.cpp

# KSyntaxHighlighting integration
syntax/katecategorydrawer.cpp
syntax/katecolortreewidget.cpp
syntax/katehighlight.cpp
syntax/katehighlightingcmds.cpp
syntax/katehighlightmenu.cpp
syntax/katestyletreewidget.cpp
syntax/katesyntaxmanager.cpp
syntax/katethemeconfig.cpp

# view stuff (THE view and its helpers)
view/kateview.cpp
view/kateviewinternal.cpp
view/kateviewhelpers.cpp
view/kateannotationitemdelegate.cpp
view/katemessagewidget.cpp
view/katefadeeffect.cpp
view/kateanimation.cpp
view/katetextanimation.cpp
view/katetextpreview.cpp
view/katestatusbar.cpp
view/wordcounter.cpp

# spell checking
spellcheck/prefixstore.h
spellcheck/prefixstore.cpp
spellcheck/ontheflycheck.h
spellcheck/ontheflycheck.cpp
spellcheck/spellcheck.h
spellcheck/spellcheck.cpp
spellcheck/spellcheckdialog.h
spellcheck/spellcheckdialog.cpp
spellcheck/spellcheckbar.cpp
spellcheck/spellingmenu.h
spellcheck/spellingmenu.cpp

# generic stuff, unsorted...
utils/katecmds.cpp
utils/kateconfig.cpp
utils/katebookmarks.cpp
utils/kateautoindent.cpp
utils/katetemplatehandler.cpp
utils/kateglobal.cpp
utils/katecmd.cpp
utils/ktexteditor.cpp
utils/document.cpp
utils/range.cpp
utils/documentcursor.cpp
utils/attribute.cpp
utils/codecompletioninterface.cpp
utils/codecompletionmodel.cpp
utils/codecompletionmodelcontrollerinterface.cpp
utils/configinterface.cpp
utils/movinginterface.cpp
utils/movingcursor.cpp
utils/movingrange.cpp
utils/movingrangefeedback.cpp
utils/messageinterface.cpp
utils/application.cpp
utils/mainwindow.cpp
utils/katecommandrangeexpressionparser.cpp
utils/katesedcmd.cpp
utils/variable.cpp
utils/katevariableexpansionmanager.cpp
utils/katevariableexpansionhelpers.cpp

# swapfile
swapfile/kateswapdiffcreator.cpp
swapfile/kateswapfile.cpp

# export as HTML
export/exporter.cpp
export/htmlexporter.cpp

# input modes
inputmode/kateabstractinputmode.cpp
inputmode/kateabstractinputmodefactory.cpp
inputmode/katenormalinputmode.cpp
inputmode/katenormalinputmodefactory.cpp
)

# optionally compile with EditorConfig support
if(EditorConfig_FOUND)
    set(ktexteditor_LIB_SRCS ${ktexteditor_LIB_SRCS} document/editorconfig.cpp)
endif()

ecm_qt_declare_logging_category(ktexteditor_LIB_SRCS
    HEADER katepartdebug.h
    IDENTIFIER LOG_KTE
    CATEGORY_NAME kf.texteditor
    OLD_CATEGORY_NAMES org.kde.ktexteditor
    DEFAULT_SEVERITY Warning
    DESCRIPTION "ktexteditor lib"
    EXPORT KTEXTEDITOR
)


ki18n_wrap_ui(ktexteditor_LIB_SRCS
dialogs/textareaappearanceconfigwidget.ui
dialogs/bordersappearanceconfigwidget.ui
dialogs/commandmenuconfigwidget.ui
dialogs/commandmenueditwidget.ui
dialogs/completionconfigtab.ui
dialogs/navigationconfigwidget.ui
dialogs/editconfigwidget.ui
dialogs/filetypeconfigwidget.ui
dialogs/indentationconfigwidget.ui
dialogs/opensaveconfigwidget.ui
dialogs/opensaveconfigadvwidget.ui
dialogs/completionconfigwidget.ui
search/searchbarincremental.ui
search/searchbarpower.ui
spellcheck/spellcheckbar.ui
dialogs/spellcheckconfigwidget.ui)

qt5_add_resources( ktexteditor_LIB_SRCS data/ktexteditor.qrc "${CMAKE_CURRENT_BINARY_DIR}/script/data/script.qrc")

if (BUILD_VIMODE)
  ki18n_wrap_ui(ktexteditor_LIB_SRCS vimode/config/configwidget.ui)
  set(ktexteditor_LIB_SRCS ${ktexteditor_LIB_SRCS}
    inputmode/kateviinputmode.cpp
    inputmode/kateviinputmodefactory.cpp

    # vi input mode
    vimode/config/configtab.cpp

    vimode/modes/insertvimode.cpp
    vimode/modes/modebase.cpp
    vimode/modes/normalvimode.cpp
    vimode/modes/replacevimode.cpp
    vimode/modes/visualvimode.cpp

    vimode/appcommands.cpp
    vimode/cmds.cpp
    vimode/inputmodemanager.cpp
    vimode/command.cpp
    vimode/motion.cpp
    vimode/range.cpp
    vimode/keyparser.cpp
    vimode/globalstate.cpp
    vimode/emulatedcommandbar/emulatedcommandbar.cpp
    vimode/emulatedcommandbar/matchhighlighter.cpp
    vimode/emulatedcommandbar/completer.cpp
    vimode/emulatedcommandbar/activemode.cpp
    vimode/emulatedcommandbar/interactivesedreplacemode.cpp
    vimode/emulatedcommandbar/searchmode.cpp
    vimode/emulatedcommandbar/commandmode.cpp
    vimode/commandrangeexpressionparser.cpp
    vimode/keymapper.cpp
    vimode/marks.cpp
    vimode/jumps.cpp
    vimode/history.cpp
    vimode/macros.cpp
    vimode/mappings.cpp
    vimode/registers.cpp
    vimode/searcher.cpp
    vimode/completion.cpp
    vimode/completionrecorder.cpp
    vimode/completionreplayer.cpp
    vimode/macrorecorder.cpp
    vimode/lastchangerecorder.cpp
  )
endif()

add_library(KF5TextEditor ${ktexteditor_LIB_SRCS} ${KTEXTEDITOR_PUBLIC_HEADERS})
generate_export_header(KF5TextEditor BASE_NAME KTextEditor)
add_library(KF5::TextEditor ALIAS KF5TextEditor)

target_include_directories(KF5TextEditor INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KTextEditor>")

# API is more or less KParts++, other stuff is used only internally
target_link_libraries(KF5TextEditor
PUBLIC
  KF5::Parts
PRIVATE
  Qt5::Qml
  Qt5::PrintSupport
  KF5::I18n
  KF5::Archive
  KF5::GuiAddons
  KF5::ItemViews
  KF5::SonnetCore
  KF5::SyntaxHighlighting
  KF5::AuthCore
  ${KTEXTEDITOR_OPTIONAL_LIBS}
)

set_target_properties(KF5TextEditor
   PROPERTIES VERSION ${KTEXTEDITOR_VERSION_STRING}
   SOVERSION ${KTEXTEDITOR_SOVERSION}
   EXPORT_NAME "TextEditor"
)

install(TARGETS KF5TextEditor EXPORT KF5TextEditorTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/ktexteditor_export.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KTextEditor
  COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5TextEditor_QCH
        NAME KTextEditor
        BASE_NAME KF5TextEditor
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KTEXTEDITOR_PUBLIC_HEADERS}
             "${CMAKE_SOURCE_DIR}/docs/apidocs-groups.dox"
             "${CMAKE_SOURCE_DIR}/docs/coding-guidelines.dox"
             "${CMAKE_SOURCE_DIR}/docs/design.dox"
             "${CMAKE_SOURCE_DIR}/docs/porting.dox"
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            KF5Parts_QCH
        BLANK_MACROS
            KTEXTEDITOR_EXPORT
            KTEXTEDITOR_DEPRECATED
            KTEXTEDITOR_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KTextEditor LIB_NAME KF5TextEditor DEPS "KParts" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KTextEditor)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


add_executable(kauth_ktexteditor_helper buffer/katesecuretextbuffer.cpp)
target_link_libraries(kauth_ktexteditor_helper
  KF5::AuthCore
)
install(TARGETS kauth_ktexteditor_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR} )
kauth_install_helper_files(kauth_ktexteditor_helper org.kde.ktexteditor.katetextbuffer root)
kauth_install_actions(org.kde.ktexteditor.katetextbuffer buffer/org.kde.ktexteditor.katetextbuffer.actions)

# add part
add_subdirectory(part)

ecm_qt_install_logging_categories(
    EXPORT KTEXTEDITOR
    FILE ktexteditor.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
ktexteditor (5.78.0-3) unstable; urgency=medium

  * Update symbols.
  * Remove graphviz from build depends.
  * Rebuild against new e-c-m to fix broken template tar.

 -- Norbert Preining <norbert@preining.info>  Sun, 24 Jan 2021 14:40:24 +0900

ktexteditor (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:25 +0900

ktexteditor (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:43 +0900

ktexteditor (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:36 +0900

ktexteditor (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:55 +0900

ktexteditor (5.74.0-3) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:19:19 +0200

ktexteditor (5.74.0-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Disable autotests as they are too flaky (Closes: #964695, #946650).

 -- Sandro Knauß <hefee@debian.org>  Thu, 08 Oct 2020 16:59:58 +0200

ktexteditor (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Move categories file to ktexteditor-data.
  * Add renamecategories file to ktexteditor-data.
  * Update symbols from build for 5.74.0 no ABI bump is needed (only private
    symbols were changed).

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:39 +0200

=== debian/control ===
Source: ktexteditor
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               libeditorconfig-dev,
               libgit2-dev (>= 0.22.0~),
               libjs-underscore,
               libkf5archive-dev (>= 5.78.0~),
               libkf5auth-dev (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5guiaddons-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5kio-dev (>= 5.78.0~),
               libkf5parts-dev (>= 5.78.0~),
               libkf5sonnet-dev (>= 5.78.0~),
               libkf5syntaxhighlighting-dev (>= 5.78.0~),
               libqt5sql5-sqlite,
               libqt5xmlpatterns5-dev (>= 5.8.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qtscript5-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/ktexteditor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktexteditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktexteditor.git
Rules-Requires-Root: no

Package: ktexteditor-data
Section: kde
Architecture: all
Breaks: libkf5texteditor5 (<< 5.74)
Replaces: libkf5texteditor5 (<< 5.74)
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

Package: ktexteditor-katepart
Architecture: any
Depends: libkf5texteditor5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This contains the Kate Part plugin.

Package: libkf5texteditor-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: provide advanced plain text editing services (binaries)
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This package contains the helper binaries.

Package: libkf5texteditor-dev
Section: libdevel
Architecture: any
Depends: libkf5parts-dev (>= 5.78.0~),
         libkf5texteditor5 (= ${binary:Version}),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends}
Recommends: libkf5texteditor-doc (= ${source:Version})
Breaks: ktexteditor-data (<< 5.69.0-2~)
Replaces: ktexteditor-data (<< 5.69.0-2~)
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 Contains development files for ktexteditor.

Package: libkf5texteditor-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: provide advanced plain text editing services (documentation)
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5texteditor5
Architecture: any
Depends: ktexteditor-data (= ${source:Version}),
         libjs-underscore,
         libkf5texteditor-bin (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
Multi-Arch: same
Recommends: ktexteditor-katepart (= ${binary:Version})

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON
	# ktexteditor embeds underscore.js in the generated lib
	# (through a qt resource)
	-ln -sf /usr/share/javascript/underscore/underscore.js src/script/data/libraries/underscore.js

override_dh_auto_test:
ifeq (,$(filter $(DEB_HOST_ARCH), armhf))
	- xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel
endif

## ktexteditor 5.80.0

=== debian/changelog ===
ktexteditor (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:09:30 +0000

ktexteditor (5.79.0-0ubuntu2) hirsute; urgency=medium

  * Build with libgit2 again.

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Feb 2021 20:15:24 +0000

ktexteditor (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols
  * Add libkf5syntaxhighlighting-dev to libkf5texteditor-dev depends,
    fixes acc test

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:23:38 +0000

ktexteditor (5.78.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
    - Temporarily do not build with libgit2 support so we do not entangle
      next frameworks with that transition.
    - Breaks/replaces at versions to suit Ubuntu upload history.
    - Disable build-time tests.

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Jan 2021 20:22:16 +0000

ktexteditor (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:58:04 +0000

ktexteditor (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
    - Temporarily do not build with libgit2 support so we do not entangle
      next frameworks with that transition.
    - Breaks/replaces at versions to suit Ubuntu upload history.
    - Disable build-time tests.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 23:31:54 +0000

ktexteditor (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:11:49 +0000

ktexteditor (5.76.0-0ubuntu3) hirsute; urgency=medium

  * Temporarily do not build with libgit2 support so we do not entangle
    next frameworks with that transition.

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Dec 2020 16:55:20 +0000

ktexteditor (5.76.0-0ubuntu2) hirsute; urgency=medium

  * Rebuild against new libgit2-1.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Dec 2020 10:30:05 +0100

ktexteditor (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * Update symbols
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:24:25 +0000

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                libeditorconfig-dev,
                libgit2-dev (>= 0.22.0~),
                libjs-underscore,
-               libkf5archive-dev (>= 5.78.0~),
-               libkf5auth-dev (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5guiaddons-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
-               libkf5parts-dev (>= 5.78.0~),
-               libkf5sonnet-dev (>= 5.78.0~),
-               libkf5syntaxhighlighting-dev (>= 5.78.0~),
+               libkf5archive-dev (>= 5.80.0~),
+               libkf5auth-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.80.0~),
+               libkf5guiaddons-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5kio-dev (>= 5.80.0~),
+               libkf5parts-dev (>= 5.80.0~),
+               libkf5sonnet-dev (>= 5.80.0~),
+               libkf5syntaxhighlighting-dev (>= 5.80.0~),
                libqt5sql5-sqlite,
                libqt5xmlpatterns5-dev (>= 5.8.0~),
                pkg-config,
@@ -30,18 +30,18 @@
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
                xauth,
-               xvfb
+               xvfb,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/ktexteditor
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktexteditor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktexteditor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktexteditor
 Rules-Requires-Root: no
 
 Package: ktexteditor-data
 Section: kde
 Architecture: all
-Breaks: libkf5texteditor5 (<< 5.74)
-Replaces: libkf5texteditor5 (<< 5.74)
+Breaks: libkf5texteditor5 (<< 5.74.0-2~)
+Replaces: libkf5texteditor5 (<< 5.74.0-2~)
 Depends: ${misc:Depends}
 Multi-Arch: foreign
 Description: provide advanced plain text editing services
@@ -57,7 +57,7 @@
 Architecture: any
 Depends: libkf5texteditor5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: provide advanced plain text editing services
  The KTextEditor interfaces - also called KTE interfaces - are a set
  of well-defined interfaces which an application or library can
@@ -87,13 +87,14 @@
 Package: libkf5texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5parts-dev (>= 5.78.0~),
+Depends: libkf5parts-dev (>= 5.80.0~),
+         libkf5syntaxhighlighting-dev (>= 5.80.0~),
          libkf5texteditor5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Recommends: libkf5texteditor-doc (= ${source:Version})
-Breaks: ktexteditor-data (<< 5.69.0-2~)
-Replaces: ktexteditor-data (<< 5.69.0-2~)
+Breaks: ktexteditor-data (<< 5.70.1-1~)
+Replaces: ktexteditor-data (<< 5.70.1-1~)
 Description: provide advanced plain text editing services
  The KTextEditor interfaces - also called KTE interfaces - are a set
  of well-defined interfaces which an application or library can
@@ -127,7 +128,7 @@
          libjs-underscore,
          libkf5texteditor-bin (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: provide advanced plain text editing services
  The KTextEditor interfaces - also called KTE interfaces - are a set
  of well-defined interfaces which an application or library can

## ktexteditor 5.86.0

=== debian/changelog ===
ktexteditor (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:49:34 +0100

ktexteditor (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:29:02 +0100

ktexteditor (5.84.0-0ubuntu2) impish; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Mon, 12 Jul 2021 13:57:33 +0100

ktexteditor (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:01:52 +0100

ktexteditor (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:18:56 +0100

ktexteditor (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:58:36 +0100

ktexteditor (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:31:02 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                libeditorconfig-dev,
                libgit2-dev (>= 0.22.0~),
                libjs-underscore,
-               libkf5archive-dev (>= 5.80.0~),
-               libkf5auth-dev (>= 5.80.0~),
-               libkf5config-dev (>= 5.80.0~),
-               libkf5guiaddons-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5kio-dev (>= 5.80.0~),
-               libkf5parts-dev (>= 5.80.0~),
-               libkf5sonnet-dev (>= 5.80.0~),
-               libkf5syntaxhighlighting-dev (>= 5.80.0~),
+               libkf5archive-dev (>= 5.86.0~),
+               libkf5auth-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5guiaddons-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5kio-dev (>= 5.86.0~),
+               libkf5parts-dev (>= 5.86.0~),
+               libkf5sonnet-dev (>= 5.86.0~),
+               libkf5syntaxhighlighting-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                libqt5xmlpatterns5-dev (>= 5.8.0~),
                pkg-config,
@@ -87,8 +87,8 @@
 Package: libkf5texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5parts-dev (>= 5.80.0~),
-         libkf5syntaxhighlighting-dev (>= 5.80.0~),
+Depends: libkf5parts-dev (>= 5.86.0~),
+         libkf5syntaxhighlighting-dev (>= 5.86.0~),
          libkf5texteditor5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
          ${misc:Depends},
